#! /bin/sh
# ------------------------------------------------------------------------------
# Company: Software- und Organisations-Service GmbH
# Purpose: Script to encrypt using public X509 certificate
# ------------------------------------------------------------------------------

# Example
# result=$(./bin/js7_encrypt.sh --cert=agent.crt --in=secret)

# if [ "${result#*" "}" != "${result}" ]
# then
#     encrypted_symmetric_key=$(echo "${result}" | cut -d' ' -f 1)
#     encrypted_base64_iv=$(echo "${result}" | cut -d' ' -f 2)
#     encrypted_string=$(echo "${result}" | cut -d' ' -f 3)
# fi

JAVA="$JAVA_HOME/bin/java"
test -x "${JAVA}" || JAVA="java"
JS7_SCRIPT_BINDIR="$(dirname "$0")"
JS7_SCRIPT_LIBDIR="$(cd "${JS7_SCRIPT_BINDIR}/../lib" >/dev/null && pwd)"
CP="${JS7_SCRIPT_LIBDIR}/patches/*:${JS7_SCRIPT_LIBDIR}/sos/*:${JS7_SCRIPT_LIBDIR}/3rd-party/*:${JS7_SCRIPT_LIBDIR}/stdout"
"${JAVA}" -classpath "${CP}" com.sos.commons.encryption.executable.Encrypt "$@"
exit $?
