#! /bin/sh
# ------------------------------------------------------------------------------
# Company: Software- und Organisations-Service GmbH
# Purpose: Script to decrypt using a private key
# ------------------------------------------------------------------------------

# Example
# ./bin/js7_decrypt.sh --key=agent.key.pkcs8 --iv=${encrypted_base64_iv} --encrypted-key=${encrypted_symmetric_key} --in=${encrypted_string}

JAVA="$JAVA_HOME/bin/java"
test -x "${JAVA}" || JAVA="java"
JS7_DECRYPT_BINDIR="$(dirname "$0")"
JS7_DECRYPT_LIBDIR="$(cd "${JS7_DECRYPT_BINDIR}/../lib" >/dev/null && pwd)"
CP="${JS7_DECRYPT_LIBDIR}/patches/*:${JS7_DECRYPT_LIBDIR}/sos/*:${JS7_DECRYPT_LIBDIR}/3rd-party/*:${JS7_DECRYPT_LIBDIR}/stdout"
"${JAVA}" -classpath "$CP" com.sos.commons.encryption.executable.Decrypt "$@"
exit $?
